/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type UserAlreadyExists struct {

	Kind string `json:"kind,omitempty"`
}

// AssertUserAlreadyExistsRequired checks if the required fields are not zero-ed
func AssertUserAlreadyExistsRequired(obj UserAlreadyExists) error {
	return nil
}

// AssertRecurseUserAlreadyExistsRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of UserAlreadyExists (e.g. [][]UserAlreadyExists), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseUserAlreadyExistsRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aUserAlreadyExists, ok := obj.(UserAlreadyExists)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertUserAlreadyExistsRequired(aUserAlreadyExists)
	})
}
